
Foreman - Bug #6633

Smart variables and smart class parameters can not have the same parameter name

07/16/2014 06:43 AM - Ori Rabin

Status: Closed   

Priority: Normal   

Assignee: Ori Rabin   

Category: Parameters   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1590

  

Description

When trying to create a smart variable with a parameter name that is already taken by a smart class parameter there is a validation

error.

This message should only appear when there exists a different smart variable with the same name

Associated revisions

Revision e6e9f157 - 07/23/2014 04:38 AM - Ori Rabin

Fixes #6633: Smart variables and smart class parameters can have the same parameter name

History

#1 - 07/16/2014 06:51 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Target version set to 1.8.0

- Pull request https://github.com/theforeman/foreman/pull/1590 added

- Pull request deleted ()

#2 - 07/17/2014 03:16 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/1593 added

- Pull request deleted (https://github.com/theforeman/foreman/pull/1590)

#3 - 07/17/2014 03:17 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/1590 added

- Pull request deleted (https://github.com/theforeman/foreman/pull/1593)

#4 - 07/17/2014 03:18 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/1593 added

- Pull request deleted (https://github.com/theforeman/foreman/pull/1590)

#5 - 07/17/2014 03:26 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/1590 added

- Pull request deleted (https://github.com/theforeman/foreman/pull/1593)

#6 - 07/21/2014 04:14 AM - Dominic Cleal

- Category set to Parameters

#7 - 07/23/2014 04:37 AM - Dominic Cleal

- translation missing: en.field_release set to 10
#8 - 07/23/2014 05:01 AM - Ori Rabin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e6e9f1577698da5e758f73cb1f7fcfe4abc9f439.
